| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
globjects::Renderbuffer Class Reference

Encapsulates OpenGL render buffer objects. More...

`#include <globjects/include/globjects/Renderbuffer.h>`

Inheritance diagram for globjects::Renderbuffer:

## Public Member Functions
| Renderbuffer ()
virtual void | accept (ObjectVisitor &visitor) override
void | bind () const
void | storage (gl::GLenum internalformat, gl::GLsizei width, gl::GLsizei height)
void | storageMultisample (gl::GLsizei samples, gl::GLenum internalformat, gl::GLsizei width, gl::GLsizei height)
gl::GLint | getParameter (gl::GLenum pname) const
virtual gl::GLenum | objectType () const override
Public Member Functions inherited from globjects::Object
gl::GLuint | id () const
std::string | name () const
void | setName (const std::string &name)
bool | hasName () const
bool | isDefault () const
void | detach ()
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Static Public Member Functions
static void | unbind ()
Static Public Member Functions inherited from globjects::Object
static void | hintNameImplementation (NameImplementation impl)

## Protected Member Functions
virtual | ~Renderbuffer ()
void | bind (gl::GLenum target) const
Protected Member Functions inherited from globjects::Object
| Object (IDResource *resource)
virtual | ~Object ()
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Static Protected Member Functions
static void | unbind (gl::GLenum target)

## Additional Inherited Members
Public Types inherited from globjects::Object
enum | NameImplementation { NameImplementation::DebugKHR, NameImplementation::Legacy }
Protected Attributes inherited from globjects::Object
IDResource * | m_resource
void * | m_objectLabelState

## Detailed Description

Encapsulates OpenGL render buffer objects.

See also
  http://www.opengl.org/wiki/Renderbuffer_Objects

## Constructor & Destructor Documentation

## ◆ Renderbuffer()

globjects::Renderbuffer::Renderbuffer | ( |  | ) |

## ◆ ~Renderbuffer()

virtual globjects::Renderbuffer::~Renderbuffer | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ accept()

virtual void globjects::Renderbuffer::accept | ( | ObjectVisitor & | visitor | ) |
| override virtual

Implements globjects::Object.

## ◆ bind() [1/2]

void globjects::Renderbuffer::bind | ( |  | ) | const

## ◆ unbind() [1/2]

static void globjects::Renderbuffer::unbind | ( |  | ) |
| static

## ◆ storage()

void globjects::Renderbuffer::storage | ( | gl::GLenum | internalformat,
|  | gl::GLsizei | width,
|  | gl::GLsizei | height
| ) |  |

## ◆ storageMultisample()

void globjects::Renderbuffer::storageMultisample | ( | gl::GLsizei | samples,
|  | gl::GLenum | internalformat,
|  | gl::GLsizei | width,
|  | gl::GLsizei | height
| ) |  |

## ◆ getParameter()

gl::GLint globjects::Renderbuffer::getParameter | ( | gl::GLenum | pname | ) | const

## ◆ objectType()

virtual gl::GLenum globjects::Renderbuffer::objectType | ( |  | ) | const
| override virtual

Implements globjects::Object.

## ◆ bind() [2/2]

void globjects::Renderbuffer::bind | ( | gl::GLenum | target | ) | const
| protected

## ◆ unbind() [2/2]

static void globjects::Renderbuffer::unbind | ( | gl::GLenum | target | ) |
| static protected

The documentation for this class was generated from the following file:

- Renderbuffer.h